> For the complete documentation index, see [llms.txt](https://integration-guide.redeem.gov.sg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integration-guide.redeem.gov.sg/phase2-integration/api-documentation/retrieving-transactions/response.md).

# Response

### 5.3 Response

**Sample Response**

Below is a sample response of a get request, <mark style="color:red;">`limit=2`</mark>. Notice <mark style="color:red;">`has_next_page`</mark> is <mark style="color:red;">`true`</mark>, meaning there are still existing results that need to be requested. You should query again with the <mark style="color:red;">`after`</mark> param to fetch the next page using <mark style="color:red;">`after=WyIyMDIyLTAyLTI0VDE2OjAwOjI3Ljg1OCswODowMCIsInRyYW5zYWN0aW9uXzFkYWFlZWVkLTAyNTAtNDljOS1iZDNiLWE1ODc5NzhlZGE2OCJd`</mark>. And repeat until <mark style="color:red;">`has_next_page`</mark> is false.

{% hint style="info" %}
Note that for <mark style="color:red;">`bank_statement_id`</mark>, it is a random string of characters. Please do not try to validate the format of characters for <mark style="color:red;">`bank_statement_id`</mark>.

There might be multiple items that have the <mark style="color:red;">`bank_statement_id`</mark>, but the total amount reflected in the bank account should be the sum of all the values with the same <mark style="color:red;">`bank_statement_id`</mark>
{% endhint %}

```json
{
  "data": [
            {
               "object": "transaction",
               "id": "transaction_d12fb0b1-7879-456b-bd9b-3c3238a95935",
               "campaign_id": "campaign_064ef9cc-5c46-4dc7-97d6-fb4564f65fde",
               "transaction_type": "redeem",
               "value": 50,
               "metadata": null,
               "merchant_id": "merchant_e80a15a6-b921-4361-9ede-41d93853e6c2",
               "merchant_name": "Chocolate Shop 1",
               "created_at": "2022-02-24T01:01:03.192+08:00",
               "updated_at": "2022-02-24T01:02:42.059+08:00",
               "verifier_id": "user_56c24900-52e2-4474-a17b-90b8086ef4db",
               "verifier_name": "Ivan",
               "bank_statement_id": "payout_IdtYK5xraxgmxQ4lkbaDw"
            },
            {
               "object": "transaction",
               "id": "transaction_1daaeeed-0250-49c9-bd3b-a587978eda68",
               "campaign_id": "campaign_064ef9cc-5c46-4dc7-97d6-fb4564f65fde",
               "transaction_type": "redeem",
               "value": 20,
               "metadata": null,
               "merchant_id": "merchant_e80a15a6-b921-4361-9ede-41d93853e6c2",
               "merchant_name": "Chocolate Shop 1",
               "created_at": "2022-02-24T16:00:27.858+08:00",
               "updated_at": "2022-02-25T00:02:45.940+08:00",
               "verifier_id": "user_56c24900-52e2-4474-a17b-90b8086ef4db",
               "verifier_name": "Ivan",
               "bank_statement_id": "ABCDEFxraxgmxQ4lkbaDw"
           },
           {
               "object": "transaction",
               "id": "transaction_2daaeeed-0250-49c9-bd3b-a587978eda68",
               "campaign_id": "campaign_064ef9cc-5c46-4dc7-97d6-fb4564f65fde",
               "transaction_type": "redeem",
               "value": 40,
               "metadata": null,
               "merchant_id": "merchant_e80a15a6-b921-4361-9ede-41d93853e6c2",
               "merchant_name": "Chocolate Shop 1",
               "created_at": "2022-02-24T16:00:27.858+08:00",
               "updated_at": "2022-02-25T00:02:45.940+08:00",
               "verifier_id": "user_56c24900-52e2-4474-a17b-90b8086ef4db",
               "verifier_name": "Ivan",
               "bank_statement_id": "ABCDEFxraxgmxQ4lkbaDw"
           }
	  ],
  "page_info": {
      "has_next_page": true,
      "has_previous_page": false,
      "start_cursor": "WyIyMDIyLTAyLTI0VDAxOjAxOjAzLjE5MiswODowMCIsInRyYW5zYWN0aW9uX2QxMmZiMGIxLTc4NzktNDU2Yi1iZDliLTNjMzIzOGE5NTkzNSJd",
      "end_cursor": "WyIyMDIyLTAyLTI0VDE2OjAwOjI3Ljg1OCswODowMCIsInRyYW5zYWN0aW9uXzFkYWFlZWVkLTAyNTAtNDljOS1iZDNiLWE1ODc5NzhlZGE2OCJd"
  }
}
```

**Response Format**

The response will include <mark style="color:red;">**`data`**</mark> which is an array of transaction objects.

| Property            | Type             | Description                                                                                      |
| ------------------- | ---------------- | ------------------------------------------------------------------------------------------------ |
| object              | String           | Value will be “transaction”.                                                                     |
| id                  | String           | Transaction id.                                                                                  |
| campaign\_id        | String           | Campaign id.                                                                                     |
| transaction\_type   | String           | Value will be “redeem”.                                                                          |
| value               | Number           | Value of the transaction.                                                                        |
| metadata            | String           | Null                                                                                             |
| merchant\_id        | String           | Merchant id.                                                                                     |
| merchant\_name      | String           | Merchant name.                                                                                   |
| created\_at         | String (ISO8601) | Datetime transaction was created.                                                                |
| updated\_at         | String (ISO8601) | Datetime transaction was updated (when assigned a payout)                                        |
| verifier\_id        | String           | User id that verified the transaction, which will be the API key user for supermarket merchants. |
| verifier\_name      | String           | User name of the verifier.                                                                       |
| bank\_statement\_id | String           | Null                                                                                             |

It will also include <mark style="color:red;">**`page_info`**</mark> which contains the following.

| Property            | Type    | Description                                                                                                                                                                             |
| ------------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| has\_next\_page     | Boolean | Indicator if there is a next page.                                                                                                                                                      |
| has\_previous\_page | Boolean | Indicator if there is a previous page.                                                                                                                                                  |
| start\_cursor       | String  | Encoded string to indicate the reference starting point of the page. Similar behavior as typical paginated api.                                                                         |
| end\_cursor         | String  | Encoded string to indicate the reference ending point of the page. Similar behavior as typical paginated api. Can be supplied into the after query parameter to retrieve the next page. |
